org.keycloak.protocol.oidc.grants.ciba.endpoints

## Class BackchannelAuthenticationCallbackEndpoint

- java.lang.Object
- - org.keycloak.protocol.oidc.grants.ciba.endpoints.AbstractCibaEndpoint
  - - org.keycloak.protocol.oidc.grants.ciba.endpoints.BackchannelAuthenticationCallbackEndpoint

-     public class BackchannelAuthenticationCallbackEndpoint
      extends AbstractCibaEndpoint

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.protocol.oidc.grants.ciba.endpoints.AbstractCibaEndpoint

      `event, realm, session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BackchannelAuthenticationCallbackEndpoint(KeycloakSession session, EventBuilder event)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `processAuthenticationChannelResult(AuthenticationChannelResponse response)`
    `protected void` | `sendClientNotificationRequest(ClientModel client, CibaConfig cibaConfig, OAuth2DeviceCodeModel deviceModel)`

    - ### Methods inherited from class org.keycloak.protocol.oidc.grants.ciba.endpoints.AbstractCibaEndpoint

      `authenticateClient, checkRealm, checkSsl`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BackchannelAuthenticationCallbackEndpoint

          public BackchannelAuthenticationCallbackEndpoint(KeycloakSession session,
                                                           EventBuilder event)

  - ### Method Detail

    - #### processAuthenticationChannelResult

          @Path(value="/")
           @POST
           @Consumes(value="application/json")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response processAuthenticationChannelResult(AuthenticationChannelResponse response)

    - #### sendClientNotificationRequest

          protected void sendClientNotificationRequest(ClientModel client,
                                                       CibaConfig cibaConfig,
                                                       OAuth2DeviceCodeModel deviceModel)

Copyright © 2021 JBoss by Red Hat. All rights reserved.